namespace Tests.Parsers;

public class StudentParser_Tests
{
    private const string ContentDirectory = @"Parsers\TestInput\";

    [Test]
    public void ParseTest()
    {
	    var students = TestEntityHandler.GetStudents(TestEntityHandler.GetEvents());

	    foreach (var student in students)
	    {

		    Console.WriteLine($"{student.Name}, {student.Grade}, {student.StateId}, {student.RegionalId}, {student.TsaYear}, {student.OfficerRole}");
	    }

		Console.WriteLine( string.Join(", ", students.OrderBy(s => s.FirstName).Select(s => s.FirstName)));
		Assert.Pass();
    }

}